-- Filename:     big_multinor.vhd
-- Filetype:     VHDL code structural
-- Date:         13 maart 2011
-- Description:  Structural beschrijving NOR
-- Author:       J. op den Brouw
-- State:        demo
-- Error:        -
-- Version:      1.0
-- Copyright:    (c)2011, Haagse Hogeschool
--
-- Dit is de structural dat de multinor als
-- component gebruikt. Het wordt geinstantieerd met
-- en nieuwe/andere tpd en n dan de multinor beschrijving.

library ieee;                                               
use ieee.std_logic_1164.all;  
library work;
use work.consts.all;

-- Entity big multi-input nor
entity big_multinor is
	port (
		x : in std_logic_vector(nbits-1 downto 0);
		q : out std_logic
	);
end big_multinor;

architecture structural of big_multinor is

-- declaration of component multinor
component multinor
   generic (tpd : time := 2 ns;
			   n : natural := 8
	);
	port (
		x : in std_logic_vector(n-1 downto 0);
		q : out std_logic
	);
end component;

-- welke architecture wordt gebruikt?
for instnor : multinor
	--use entity work.multinor(logic);
	use entity work.multinor(mux);
	--use entity work.multinor(compare);
	
begin
	-- instantiation of multinor
	instnor : component multinor
		generic map (tpd => tpd, n => nbits)
		port map (q => q,	x => x);
end structural;

