-- Filename:     tb_big_multinor.vhd
-- Filetype:     VHDL code structural
-- Date:         13 maart 2011
-- Description:  Structural beschrijving NOR
-- Author:       J. op den Brouw
-- State:        demo
-- Error:        -
-- Version:      1.0
-- Copyright:    (c)2011, Haagse Hogeschool
--
-- Dit is de structural dat de multinor als
-- component gebruikt. Het wordt geinstantieerd met
-- en nieuwe/andere tpd en n dan de multinor beschrijving.

library ieee;                                               
use ieee.std_logic_1164.all;
library work;
use work.consts.all;

entity tb_big_multinor is
end tb_big_multinor;

architecture testbench of tb_big_multinor is
constant Tperiod : time := 20 ns;
signal x : std_logic_vector(nbits-1 downto 0);
signal q : std_logic;

component big_multinor
	port (x : in std_logic_vector(nbits-1 downto 0);
			q : out std_logic
			);
end component;

begin
	instnor : big_multinor
	port map (x => x, q => q);
	
	datagen : process is
	begin
		wait for Tperiod/2;

		x <= "000000000000";
		wait for Tperiod;

		x(3) <= '1';
		wait for Tperiod;

		x <= "000000000000";
		wait for Tperiod;

		x(7 downto 0) <= (others => '1');
		wait for Tperiod;

		wait;
	end process datagen;
	
end testbench;

